#include <fstream>
using namespace std;
int tong(long long a)
{
	long long tong=0;
	long int b;
	for (b=1;b<=(2*a-1);b++)
	{
		if (b%2==1)
		{   
			tong=tong+b;
		}
	}
	return tong;
} 
int tich(long long a)
{
	long long tich=1;
	long int b;
	for (b=1;b<=(2*a-1);b++)
	{
		if (b%2==1)
		{   
			tich=tich*b;
		}
	}
	return tich;
} 
int main ()
{
	ifstream f("dqps.inp");
	ofstream g("dqps.out");
	long long n;
	f>>n;
	g<<tich(n)<<endl<<tong(n);
	f.close();
	g.close();
}
